import { Component, ViewChild } from '@angular/core';
import { Http, Headers, Response } from '@angular/http';
import { TreeView, AccordionClickArgs } from "@syncfusion/ej2-navigations";
import { DataService } from "./data.service";

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})

export class AppComponent {
  public data: any;
  public childData: any = [];
  @ViewChild("tree") tree: TreeView;
  constructor(private dataService: DataService) {
    this.dataService.getDataFromAPI().subscribe(response => {
      console.log(response);
      var temp = Object.values(response);
      var arr = [];
      for (var i = 0; i < temp.length; i++) {
        var stringifiedData = JSON.stringify(temp[i]).replace("title", "type");
        var addId = JSON.parse(stringifiedData);
        // adds id for parent record
        addId.id = i + 1;
        // adds id for child record
        for (var j = 0; j < addId.crime_types.length; j++) {
          addId.crime_types[j].id = addId.id + j + 1;
        }
        arr.push(addId);
      }
      this.data = arr;
      this.tree.fields.dataSource = this.data;
    });
  }

  public field: Object = {
    dataSource: this.data, hasChildren: 'title', text: 'type', child: 'crime_types'
  };
}